Description: Bonjour,

Je viens de faire passer des tests à mes élèves de 6e et 5e avec ce chouette logiciel.

J'en suis toujours content, mais là je me sens coincé :

J'ai fait passer les tests à mes élèves, et je me rends compte au moment de la correction qu'une mauvaise 
façon de numéroter les questions de ma part (qu'il serait long et certainement pas utile de développer ici) fait 
qu'une bonne partie d'entre elles n'est pas corrigée, et est considérée par AMC comme étant des questions 
restées sans réponse.

Y a-t-il un moyen de modifier cette numérotation à posteriori sans mettre à jour les documents de travail (ie 
sans devoir refaire passer le test aux élèves !) ?

merci par avance de votre retour.

History
12/11/2023 08:55 pm - Frédéric Bréal
Pouvez-vous déposer le fichier tex et indiquer les lignes/questions à modifier ?

12/12/2023 08:27 am - Paul Robesson
- File selectNrandom.sty added

- File source.tex added

Bonjour,

mon fichier est un peu bordélique, j'ai presque honte ! :D

Il a besoin de mon petit package selectNrandom pour compiler.

le problème vient de ce qu'à la ligne 147 je nomme mes questions (via un foreach) en utilisant mes variables letH, letI etc. qui sont justement issues de 
selectNrandom. Et ressortent donc en \htguse{6}, \htguse{7} etc. et c'est ce que AMC n'aime pas, me semble-t'il.

je pense qu'en remplaçant mon \foreach par : @\foreach \i/\j [count=\k] in {\letF /\xF , \letG /\xG , \letH /\xH , \letI /\xI , \letJ /\xJ}{
\begin{minipage}{.18\linewidth}
\begin{questionmultx}{30\k}

Coder l'abscisse de \i
\AMCnumericChoices{\j}{vspace=.2ex,digits=3,decimals=2,sign=false, 
borderwidth=0pt,backgroundcol=lightgray,approx=5,Tpoint=\raisebox{1ex}{\bf,},vertical=true}
\end{questionmultx}
\end{minipage}\hfill}
}@ ça doit marcher, mais il me semble que c'est trop tard...

merci en tout cas de chercher !
12/12/2023 07:43 pm - Frédéric Bréal
Est-ce que votre souci ne viendrait pas de votre paquet et de la création des nombres aléatoires car entre le sujet et la correction et le catalogue il n'y  
jamais les mêmes valeurs ?

12/12/2023 08:28 pm - Paul Robesson
Ah oui, je n'avais pas remarqué ça ; du sujet à la correction individuelle, la bonne réponse est la même, mais la lettre a changé.

c'est un paquet que j'ai utilisé plusieurs fois, avec succès, donc je ne pense pas qu'il soit en cause en tant que tel. Mais manifestement, il entre dans 
l'équation quand même !

12/27/2023 05:51 pm - Frédéric Bréal
J'ai peut-être trouvé la parade car votre commande @\htguse@ utilise @fpeval@ du paquet xfp.
Après @\begin{document}@, tapez
<pre>
\ExplSyntaxOn
\sys_gset_rand_seed:n{1}
\ExplSyntaxOff
</pre>
Cela permet d'avoir une racine identique à chaque compilation et pas la commande @\time@ qui évolue.

04/24/2025 04:26 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Files
selectNrandom.sty 1.2 kB 12/12/2023 Paul Robesson
source.tex 20.3 kB 12/12/2023 Paul Robesson
